//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2007
//
// Affine transformation.
//

# include "StdAfx.h"
# include "AffineTransform.h"

C2WayTransformation * Create2WayAffineTransformation (const aff_transform_t & _at) {
	aff_transform_t rat;
	_at.Reverse (rat);

	return new C2WayTransformation (
		new CAffineTransformation (_at),
		new CAffineTransformation (rat)
	);
}