//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2005-2008
//
// COM object model: events for the root object.
//

# include "StdAfx.h"
# include "COMRoot.h"
# include "COMRootEvents.h"

void Fire_OnFileLoaded () {
	if (g_pComRoot && ! g_pComRoot->m_Sinks.empty ())
		for (size_t c = 0; c < g_pComRoot->m_Sinks.size (); ++ c)
			g_pComRoot->m_Sinks [c].m_T->OnFileLoaded ();
}

void Fire_OnFileLoadFailed () {
	if (g_pComRoot && g_pComRoot->m_Sinks.empty ())
		for (size_t c = 0; c < g_pComRoot->m_Sinks.size (); ++ c)
			g_pComRoot->m_Sinks [c].m_T->OnFileLoadFailed ();
}