# ifndef __DrawHelpers_H_
# define __DrawHelpers_H_

void GetCursorHotSpot (HCURSOR _hcur, POINT & _ptShift);

void DrawLine         (HDC _hDC, int _x0, int _y0, int _x1, int _y1);

const int c_iCrossSize = 5;

void DrawCross         (HDC _hDC, int _x, int _y);
void DrawCross         (HDC _hDC, int _x, int _y, int _nSize);

void DrawCrossSerif    (HDC _hDC, int _x, int _y, int _nSize1, int _nSize2);

void DrawSquare        (HDC _hDC, int _x, int _y, int _nSize);
void DrawDiamond       (HDC _hDC, int _x, int _y, int _nSize);

void DrawTriangle1     (HDC _hDC, int _x, int _y, int _nSize);
void DrawTriangle2     (HDC _hDC, int _x, int _y, int _nSize);

void DrawText2         (HDC _hDC, int _x, int _y, const char * _strText, COLORREF _colText, COLORREF _colHL = RGB (255, 255, 255));

void DrawCompassArrow  (HDC _hDC, int _x, int _y, float _fAzimuth, int _l);
void DrawArrow         (HDC _hDC, int _x, int _y, float _fAngleInDegrees, int _l, int _w0, int _w1);
void DrawTriangleArrow (HDC _hDC, int _x, int _y, float _fAngleInDegrees, int _r);

# endif // __DrawHelpers_H_