# ifndef __DrawNodes_H_
# define __DrawNodes_H_

void InitDrawNodes ();
void DestroyDrawNodes ();
bool AdjustColorsForRoutingNodes (HWND _hWnd);

HBRUSH NodeCardinalityToBrush (size_t _cCardinality);
HPEN   NodeContourPen (bool _bHasRestrictions);

void ResetDrawnNodes ();
struct rgn_t;
void SaveDrawnNodes (const POINT * _pPoints, size_t _cPoints, const rgn_t * _pRgn);
void HighlightNearestDrawnNodes (HDC _hDC, int _x, int _y, int _d, const rgn_t * _pExceptRgn);

# endif // __DrawNodes_H_