//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@infratel.com), 2002-2004
//
// Earth ellipsoids.
//

# include "StdAfx.h"
# include "Ellipsoid.h"

const CEllipsoid g_Ellipsoids [] = {
	c_eAiry1830,
	c_eAiryMod,
	c_eAustralian,
	c_eBessel1841,
	c_eBesselNamibia,
	c_eBesselNorway,
	c_eClarke1858,
	c_eClarke1866,
	c_eClarke1880,
	c_eClarkeIGN,
	c_eClarkePalestine,
	c_eEverest1948,
	c_eEverestIndia,
	c_eEverestIndia56,
	c_eEverestMalasia,
	c_eEverestPakistan,
	c_eEverestSS,
	c_eEverestTimbalai,
	c_eFischer1960,
	c_eGRS80,
	c_eHayford,
	c_eHelmert,
	c_eHough,
	c_eIndonesian,
	c_eInternational,
	c_eKrasovsky1940,
	c_eSA1969,
	c_eWGS72,
	c_eWGS84
};

const size_t c_cEllipsoids = sizeof (g_Ellipsoids)/sizeof (g_Ellipsoids [0]);

