# ifndef __FastTickCounter_H_
# define __FastTickCounter_H_

DWORD GetFastTickCount ();

class CFastTickCounter {
  public:
	CFastTickCounter () : m_dwCounter (0) {}
	void Reset () {m_dwCounter = 0;}
	void Start () {m_dwStart = GetFastTickCount ();}
	void Stop  () {m_dwCounter += GetFastTickCount () - m_dwStart;}
	void Report      (const char * _str) const;
	void ReportDebug (const char * _str) const;
	DWORD m_dwStart;
	DWORD m_dwCounter;
};

# endif // __FastTickCounter_H_