# ifndef __GarminRound_H_
# define __GarminRound_H_

# include "PtAlgo.h"

	//
	// Round coordinates to Garmin's grid: 360/2^_cLevel.
	//
struct map_t;
float GarminLatGrid    (const map_t & _map, size_t _cLevelIdx);
void GarminRoundPoint  (const map_t & _map, size_t _cLevelIdx, point_t & _pt);
void GarminRoundPoints (const map_t & _map, size_t _cLevelIdx, points_t & _points);
void GarminRoundRect   (const map_t & _map, size_t _cLevelIdx, rect_t & _rect);

# endif // __GarminRound_H_