# ifndef __GarminTypes_H_
# define __GarminTypes_H_

# include "Types.h"

extern CTypeSet g_tsGarmin;

void InitGarminTypes (CTypeSet::types_t & _types);

struct rgn_t;
bool Garmin_IsCity        (DWORD _dwType);
bool Garmin_IsCity        (const rgn_t & _rgn);
bool Garmin_HasAddress    (DWORD _dwType);
bool Garmin_HasAddress    (const rgn_t & _rgn);
bool Garmin_HasCityAndZip (const rgn_t & _rgn);
bool Garmin_IsHwExit      (DWORD _dwType);
bool Garmin_IsHwExit      (const rgn_t & _rgn);
bool Garmin_IsHeight      (const rgn_t & _rgn);
bool Garmin_IsFeature     (const rgn_t & _rgn);
bool Garmin_IsBackground  (DWORD _dwType);
bool Garmin_IsBackground  (const rgn_t & _rgn);
bool Garmin_IsRoad        (DWORD _dwType);
bool Garmin_IsRoad        (const rgn_t & _rgn);
bool Garmin_IsRoundabout  (const rgn_t & _rgn);

# endif // __GarminTypes_H_