//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2002-2007
// Garmin and MapSource are registered trademarks or trademarks of Garmin Ltd. or one of its subsidiaries.
//
// MapSource GDB file format support utilities.
//

# include "StdAfx.h"
# include "GdbFile.h"

# pragma const_seg (".text")

	// The header for MapSource 6.0.
const BYTE g_pGdbHeader [] = "MsRcf\0" "\x02\0\0\0D\x6B\0" "\x1a\0\0\0A\x58\x02" "KG\0" __DATE__ "\0" __TIME__ "\0" "MapSource\0";
const BYTE g_pGdbTail   [] = "\x02\0\0\0V\0\x01";

const size_t c_cGdbHeaderSize = sizeof (g_pGdbHeader) - 1;
const size_t c_cGdbTailSize = sizeof (g_pGdbTail) - 1;

# pragma const_seg ()