# ifndef __HoluxRound_H_
# define __HoluxRound_H_

# include "PtAlgo.h"

	//
	// Round coordinates to Holux's grid.
	//

const int   c_iHoluxCellInv = 36000;
const float c_fHoluxCell = 1.f/c_iHoluxCellInv;

struct map_t;
float HoluxLatGrid    (const map_t & _map, size_t _cLevelIdx);
void HoluxRoundPoint  (const map_t & _map, size_t _cLevelIdx, point_t & _pt);
void HoluxRoundPoints (const map_t & _map, size_t _cLevelIdx, points_t & _points);
void HoluxRoundRect   (const map_t & _map, size_t _cLevelIdx, rect_t & _rect);

# endif // __HoluxRound_H_