# ifndef __HoluxTkl_H_
# define __HoluxTkl_H_

# ifdef _MSC_VER
#	pragma pack (push, 1)
# endif

const WORD c_wTklSignature = 0x6173;

const size_t c_cTklMaxTracks = 5;
const size_t c_cTklMaxPoints = 2500;

struct CTklTrack {
	WORD wPoints;
	WORD wNextPoint;
	char strName [12];
	char strComment [13];

	BYTE btUnknown [3];

	DWORD dwOccupied;
	DWORD dwShow;
	DWORD dwFill;
};

struct CTklHdr {
	WORD  wSignature;

	DWORD dwUnknown; // 0xFFFFFFFF

	BYTE  btPointsInCurrentLog;
	BYTE  btTracks;

	DWORD dwDate;
	DWORD dwTime;

	CTklTrack tracks [c_cTklMaxTracks];
};

struct CTklPoint {
	LONG lX, lY;
};

struct CTklTrackLog {
	CTklPoint points [c_cTklMaxPoints];
};

/*
struct CTklFile {
	CTklTrackLog logs [c_cTklMaxTracks];
	CTklHdr      hdr;
};*/

# ifdef _MSC_VER
#	pragma pack (pop)
# endif

# endif // __HoluxTkl_H_