# ifndef __HoluxTlg_H_
# define __HoluxTlg_H_

# ifdef _MSC_VER
#	pragma pack (push, 1)
# endif

const DWORD c_dwTlgSignature = 0x38CB1200;

const size_t c_cTlgMaxTracks = 5;
const size_t c_cTlgMaxPoints = 2500;

struct CTlgTrack {
	WORD wPoints;
	WORD wNextPoint;
	char strName [12];
	char strComment [13];

	BYTE btUnknown [3];

	DWORD dwOccupied;
	DWORD dwShow;
	DWORD dwFill;
};

struct CTlgHdr {
	DWORD dwSignature;

	WORD  wPointsInCurrentLog;
	WORD  wTracks;

	DWORD dwDate;
	DWORD dwTime;

	CTlgTrack tracks [c_cTlgMaxTracks];
};

struct CTlgPoint {
	LONG lX, lY;
};

struct CTlgTrackLog {
	CTlgPoint points [c_cTlgMaxPoints];
};

/*
struct CTlgFile {
	CTlgTrackLog logs [c_cTlgMaxTracks];
	CTlgHdr      hdr;
};*/

# ifdef _MSC_VER
#	pragma pack (pop)
# endif

# endif // __HoluxTlg_H_