# ifndef __Icon_H_
# define __Icon_H_

# include "CPtr.h"

class CIcon : public CCounted<CIcon> {
	// Disable copy semantics.
	CIcon (const CIcon & _other);
	void operator = (const CIcon & _other);

  public:
	CIcon (const char * _strFileName);
	~CIcon ();

	operator HICON () const {return m_hicon;}

	size_t Width  () const {return m_w;}
	size_t Height () const {return m_h;}

	void Draw (HDC _hdc, int _x, int _y, int _w = 0, int _h = 0, bool _bDrawImage = true, bool _bDrawMask = true) const;

  private:
	HICON m_hicon;
	size_t m_w;
	size_t m_h;
};

# endif // __Icon_H_