# ifndef __Levels_H_
# define __Levels_H_

size_t GetVisibleLevel ();
bool SetVisibleLevel (size_t _cLevel);
inline
void SetVisibleLevelAuto () {SetVisibleLevel (-1);}

bool LevelIsVisible (size_t _cLevel, size_t _cEndLevel);
size_t GetZoomLevel (float _fScale, char * _strOut = NULL);

void MakeLevelsMenu ();
void UpdateLevelsMenu ();

typedef std::set<size_t> levels_t;

# endif // __Levels_H_