# ifndef __Log_H_
# define __Log_H_

void ClearLog ();
bool IsLogEmpty ();
void ResetWarningsCounters ();
size_t GetWarningsCount ();
void __cdecl ReportText (const char * _strText, ...);
void __cdecl ReportWarning (const char * _strText, ...);
void __cdecl ReportWarning (size_t cLine, const char * _strText, ...);
void ReportActivationKeyIsDamaged ();
void ShowMessageLog ();

# include "Wrappers.h"

extern char * g_strMessageLog;
extern size_t g_cMessageLogSize;
extern CCritSec g_csMessageLog;

# endif // __Log_H_