//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2002-2005
//
// 'Map properties' dialog, 'Source' tab.
//

# include "StdAfx.h"
# include "Resource.h"
# include "MapProperties.h"
# include "Map.h"
# include "ShowFile.h"
# include "Globals.h"

INT_PTR CALLBACK _MapSourceProc (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM _lParam) {
	switch (_uMsg) {
		case WM_INITDIALOG: {
			CCritSec::CLock lock (g_cs);

			ShowFileOffsetCtl (_hWnd, IDC_SOURCE, g_strFileName, 0, g_map.cHeaderLen);

			::SetFocus (::GetDlgItem (_hWnd, IDC_SOURCE));

			return FALSE;
		}
	}

	return FALSE;
}
