# ifndef __NewMap_H_
# define __NewMap_H_

bool RemoveMap ();

//////////////////////////////////////////////////////

struct CInvokeOnRemoveMap {
	typedef void (* pvfv_t) ();
	const pvfv_t m_pf;
	const bool m_bBefore;

	CInvokeOnRemoveMap (pvfv_t _pf, bool _bBefore);

	// The linked list.
	CInvokeOnRemoveMap * m_pNext;
	static CInvokeOnRemoveMap * s_pFirst;
};

# define INVOKE_BEFORE_REMOVE_MAP(_pf) static CInvokeOnRemoveMap _InvokeOnRemoveMap_##_pf (_pf, true);
# define INVOKE_AFTER_REMOVE_MAP(_pf)  static CInvokeOnRemoveMap _InvokeOnRemoveMap_##_pf (_pf, false);

# endif // __NewMap_H_