//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2002-2004
//
// 'Order Key' dialog.
//

# include "StdAfx.h"
# include "Resource.h"
# include "OrderKey.h"
# include "LinkDlg.h"
# include "Globals.h"

static
INT_PTR CALLBACK OrderKeyProc (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM _lParam) {
	const INT_PTR r = LinkDlgProc (_hWnd, _uMsg, _wParam, _lParam);
	if (r)
		return r;

	switch (_uMsg) {
		case WM_INITDIALOG: {
			return TRUE;
		}

		case WM_COMMAND:
			switch (LOWORD (_wParam)) {
				case IDCANCEL: {
					::EndDialog (_hWnd, 0);
					return TRUE;
				}
			}
	}

	return FALSE;
}


void OrderKey (HWND _hWnd) {
	DlgBox (IDD_ORDER_KEY, _hWnd, & OrderKeyProc);
}