# ifndef __Settings_H_
# define __Settings_H_

extern const char c_strSettingsKey [];

void InitRegistryAccess ();
bool IsSettingDefined (const char * _strName);
size_t GetSettingLen  (const char * _strName);
DWORD  GetSetting (const char * _strName, DWORD _dwDefault);
bool   GetSetting (const char * _strName, bool _bDefault);
void   GetSetting (const char * _strName, char * _strRet, size_t _cSize, const char * _strDefault);
size_t GetSetting (const char * _strName, void * _pRet, size_t _cMaxSizeInBytes);
void SaveSetting (const char * _strName, DWORD _dwValue);
void SaveSetting (const char * _strName, bool _bValue);
void SaveSetting (const char * _strName, const char * _strValue);
void SaveSetting (const char * _strName, const void * _pValue, size_t _cSizeInBytes);

# endif // __Settings_H_