//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2009
//
//  Base class for track video renderers.
//

# include "StdAfx.h"
# include "Resource.h"
# include "TVRBase.h"
# include "TrackVideoBookmark.h"

CTrackVideoRendererBase::CTrackVideoRendererBase (const char * _strTrackFileName) :
	m_pBookmarks (new tv_bookmarks_t)
{
	m_pBookmarks->Init (_strTrackFileName);
}

CTrackVideoRendererBase::~CTrackVideoRendererBase () {
	delete m_pBookmarks;
}