# ifndef __VerifyMap_H_
# define __VerifyMap_H_

void VerifyMap ();

struct rgn_t;
struct point_t;
struct rect_t;
void AddMessageToVMList (
	const char * _strWarning, bool _bStoreAsPtr,
	const rgn_t * _pRgn, size_t _cLevel, const point_t & _pt, const rect_t & _rect
);

void VerifyPolygonOverlapping (bool _bCheckPolygons, bool _bCheckOverlappingPolygons); 

///////////////////////////////////////////

struct map_t;
void CalcMinNodeDistance (const map_t & _map);

float GetMinNodeDistance ();

///////////////////////////////////////////

struct vm_t {
	bool bCheckPolygons;
	bool bCheckRPolylines;
	bool bCheckNodes;
	bool bCheckNotConnectedNodes;
	bool bCheckOverlappingPolygons;
	float fMinNodeDistance;
	bool bCheck2WayRoundabouts;
	bool bCheckDeadEnds;
};

size_t DoVerifyMap (const vm_t & _vm);

# endif // __VerifyMap_H_