# ifndef __AffineTransform_H_
# define __AffineTransform_H_

# include "PtAlgo.h"
# include "Transform.h"

class CAffineTransformation : public CTransformationBase {
  public:
	CAffineTransformation (const aff_transform_t & _at) : m_at (_at) {}

	virtual void ApplyTo (point_t & _pt) const {m_at.ApplyTo (_pt);}

  private:
	const aff_transform_t m_at;
};

C2WayTransformation * Create2WayAffineTransformation (const aff_transform_t & _at);

# endif // __AffineTransform_H_