//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2008
//
// COM object model: the sattus bar object.
//

# include "StdAfx.h"
# include "COMStatus.h"

CComStatusBar g_ComStatusBar;

STDMETHODIMP CComStatusBar::_Advise (IStatusEventsSink * _pSink) {
	if (m_dwAdviseCookie != 0)
		Unadvise (m_dwAdviseCookie);

	if (_pSink != NULL)
		return Advise (_pSink, & m_dwAdviseCookie);
	else
		return S_OK;
}