//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2008
//
// COM object model: events for the status bar object.
//

# include "StdAfx.h"
# include "COMStatus.h"
# include "COMStatusEvents.h"

void Fire_OnProgress (long _lProgress) {
	for (size_t c = 0; c < g_ComStatusBar.m_Sinks.size (); ++ c)
		g_ComStatusBar.m_Sinks [c].m_T->OnProgress (_lProgress);
}

void Fire_OnStatus (const char * _strStatus) {
	for (size_t c = 0; c < g_ComStatusBar.m_Sinks.size (); ++ c)
		g_ComStatusBar.m_Sinks [c].m_T->OnStatus (CComBSTR (_strStatus));
}

void Fire_OnStatusInfo (const char * _strStatusInfo) {
	for (size_t c = 0; c < g_ComStatusBar.m_Sinks.size (); ++ c)
		g_ComStatusBar.m_Sinks [c].m_T->OnStatusInfo (CComBSTR (_strStatusInfo));
}
