# ifndef __ComPort_H_
# define __ComPort_H_

# include "Wrappers.h"

class CComPort : public CFile {
  public:
	CComPort (const char * _strPort, DWORD _dwAccess = GENERIC_READ | GENERIC_WRITE);

	void ClearQueues ();
	size_t GetInQueueSize () const;

	BOOL GetDCB (DCB & _dcb) const;
	BOOL SetDCB (const DCB & _dcb);
	BOOL SetDCB (DWORD _dwBaudRate, BYTE _btByteSize = 8, bool _bParity = false, BYTE _btStopBits = ONESTOPBIT);
};

# endif // __ComPort_H_