# ifndef __DrawAddress_H_
# define __DrawAddress_H_

void InitDrawAddress ();
void DestroyDrawAddress ();
bool AdjustColorsForAddressHighlighting (HWND _hWnd);

void StartDrawAddresses ();

struct rgn_t;
bool PolygonAddressIsIncomplete (const rgn_t & _rgn);
bool PointAddressIsIncomplete   (const rgn_t & _rgn);

# include "RgnKind.h"
HBRUSH AddressToBrush (const rgn_t & _rgn, RGN_KIND _Kind);
HPEN   AddressToPen   (const rgn_t & _rgn);

HPEN   GetPolylineAddressContourPen   ();
HPEN   GetPolylineNoAddressPen        ();
HBRUSH GetPolygonNoAddressBrush       ();
HPEN   GetPolygonIncompleteAddressPen ();
HPEN   GetPointAddressContourPen      ();
HBRUSH GetPointNoAddressBrush         ();
HPEN   GetPointIncompleteAddressPen   ();

# endif // __DrawAddress_H_