//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2007-2008
//
// CPU tick counter helper.
//

# include "StdAfx.h"
# include "FastTickCounter.h"
# include "Globals.h"

# pragma warning (disable : 4035) // no return value
DWORD GetFastTickCount () {
	__asm rdtsc;
}
# pragma warning (default : 4035)

void CFastTickCounter::Report (const char * _str) const {
	ErrorMsgBox ("%s=%.2f ms", _str, m_dwCounter/1e6);
}

void CFastTickCounter::ReportDebug (const char * _str) const {
	ATLTRACE ("%s=%.2f ms\n", _str, m_dwCounter/1e6);
}
