//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2005-2007
//
// Hot spot drawing.
//

# include "StdAfx.h"
# include "HotSpot.h"
# include "DrawHelpers.h"
# include "Globals.h"

void DrawHotSpot (HDC _hDC, const POINT & _pt) {
	const int c_nR  = 6;
	const int c_nR2 = 3;

	::SelectObject (_hDC, g_hpenRedThin);
	::SelectObject (_hDC, g_hbrNull);

	::Ellipse (_hDC, _pt.x - c_nR,  _pt.y - c_nR,  _pt.x + c_nR,  _pt.y + c_nR);

	DrawLine (_hDC, _pt.x,         _pt.y - c_nR2, _pt.x,         _pt.y + c_nR2);
	DrawLine (_hDC, _pt.x - c_nR2, _pt.y,         _pt.x + c_nR2, _pt.y        );
}
