# ifndef __Kernel_H_
# define __Kernel_H_

# include <WinIoCtl.h>
# include <SetupApi.h>

class CDevInfoHandle {
  public:
	CDevInfoHandle (HDEVINFO _hDevInfo) : m_hDevInfo (_hDevInfo) {}
	~CDevInfoHandle () {
		if (m_hDevInfo)
			::SetupDiDestroyDeviceInfoList (m_hDevInfo);
	}

	operator HDEVINFO () const {return m_hDevInfo;}

  private:
	const HDEVINFO m_hDevInfo;
};

HANDLE OpenDriverWithClass (const GUID & _guidClass);

# endif // __Kernel_H_