# ifndef __MapSourceHelpers_H_
# define __MapSourceHelpers_H_

struct LessWptName {
	bool operator () (const string_t & _str1, const string_t & _str2) const;
};

typedef std::map<string_t, size_t, LessWptName> names_t;

void GenerateUniqueNameForMapSource (const string_t & _strName0, names_t & _names, string_t & _strName);

extern const size_t c_cGarminTrackColors;
extern const COLORREF g_GarminTrackColors [];
size_t FindNearestGarminTrackColor (COLORREF _col);

WORD GarminWPT2POIType (WORD _wType);

# endif // __MapSourceHelpers_H_