//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2002-2007
// Garmin and MapSource are registered trademarks or trademarks of Garmin Ltd. or one of its subsidiaries.
//
// MapSource MPS file format support utilities.
//

# include "StdAfx.h"
# include "MpsFile.h"

# pragma const_seg (".text")

	// The header for MapSource 4.13.
const BYTE g_pMpsHeader [] = "MsRcd\0" "\x02\0\0\0D\x68\0" "\x1a\0\0\0A\x9D\x01" "KG\0" __DATE__ "\0" __TIME__ "\0";
const BYTE g_pMpsTail   [] = "\x02\0\0\0V\0\x01";

const size_t c_cMpsHeaderSize = sizeof (g_pMpsHeader) - 1;
const size_t c_cMpsTailSize = sizeof (g_pMpsTail) - 1;

# pragma const_seg ()