# ifndef __NavitelTypes_H_
# define __NavitelTypes_H_

# include "Types.h"

extern CTypeSet g_tsNavitel;

void InitNavitelTypes (CTypeSet::types_t & _types);

DWORD ConvertTypeSet_Garmin2Navitel (RGN_KIND _Kind, DWORD _dwType);
DWORD ConvertTypeSet_Navitel2Garmin (RGN_KIND _Kind, DWORD _dwType);

bool Navitel_IsRoad (DWORD _dwType);
bool Navitel_IsRoad        (const rgn_t & _rgn);
bool Navitel_IsUnpavedRoad (const rgn_t & _rgn);
bool Navitel_IsOneWayRoad  (const rgn_t & _rgn);

# endif // __NavitelTypes_H_