# ifndef __NoteDrawing_H_
# define __NoteDrawing_H_

# include "PtAlgo.h"

struct rgn_t;

struct note_drawing_t {
	size_t cWidth;
	COLORREF col;
	bool bProcessed;

	note_drawing_t () : cWidth (1), col (0), bProcessed (false) {}

	bool IsDuplicate (const note_drawing_t & _other) const;

	static void Save (const rgn_t & _rgn, string_t & _str);
	static bool Load (rgn_t & _rgn, const char * _pStart, const char * _pEnd, const char ** _ppEnd);
};

bool ShowNoteProperties (HWND _hWnd, rgn_t & _rgn);
rgn_t & CreateNoteDrawing (points_t & _points);

# endif // __NoteDrawing_H_