# ifndef __Options_H_
# define __Options_H_

void ShowOptions (size_t _cFirstPage = 0);

COLORREF GetBackgroundColor ();

COLORREF GetNewObjectColor ();
size_t GetNewObjectWidth ();

DWORD GetNodeShape ();

class CTypeSet;
const CTypeSet * GetDefaultTypeSet ();

bool GetTransparentPolygonFill ();

void GetFont (LOGFONT & _lf);

COLORREF GetDefaultTrackColor ();
size_t   GetDefaultTrackWidth ();

COLORREF GetDefaultRouteColor ();
size_t   GetDefaultRouteWidth ();

bool GetSetting_NotifyPasteDuplicate ();
bool GetSetting_NotifyCreatingNon0Level ();

//////////////////////////////

INT_PTR CALLBACK _OptionsEditProc        (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM);
INT_PTR CALLBACK _OptionsViewProc        (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM);
INT_PTR CALLBACK _OptionsGpsTrackingProc (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM);
INT_PTR CALLBACK _OptionsUnitsProc       (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM);
INT_PTR CALLBACK _OptionsFileProc        (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM);
INT_PTR CALLBACK _OptionsCommonProc      (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM);
INT_PTR CALLBACK _OptionsWebMapProc      (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM);

# endif // __Options_H_