# ifndef __Position_H_
# define __Position_H_

	// Size of the window in pixels.
extern long g_lWidth, g_lHeight;
	// Size of the map in pixels.
extern long g_lMapWidth, g_lMapHeight;

	// Shift of the window in degrees.
extern float g_X, g_Y;
	// Shift of the window in pixels.
extern long g_lX, g_lY;

long XToScreen (float _x);
long YToScreen (float _y);

struct point_t;
void ScreenToPt (int _x, int _y, point_t & _point);

struct rect_t;
void GetVisibleRect (rect_t & _rctVisible);

void SetPosition (long _lX, long _lY);

void SetToCenter (const point_t & _point);

void ExtendMapBoundingRect (const rect_t & _rect, bool _bUpdateMapBoundingRect);

# endif // __Position_H_