# ifndef __RemoveSelfIntersections_H_
# define __RemoveSelfIntersections_H_

# include "PtAlgo.h"

bool RemoveSelfIntersections (
	const point_t * _pPointsIn,  size_t _cPointsIn,
	points_t      & _pointsOut,
	bool _bClosed
);

/*bool RemoveSelfIntersections (
	const point_t * _pPointsIn,  size_t _cPointsIn,
	point_t       * _pPointsOut, size_t & _cPointsOut, size_t _cMaxPointsOut,
	bool _bClosed
);*/

bool RemoveSelfIntersections (points_t & _points, bool _bClosed);

void RemoveSelfIntersectionsInPolygons ();

bool RemoveSmallLoops (points_t	& _pointsIn, points_t & _pointsOut, float _fThresholdArea);

# endif // __RemoveSelfIntersections_H_
