# ifndef __STL_helpers_H_
# define __STL_helpers_H_

template <typename L>
void JoinLists (L & _1, L & _2) {
	if (_1.empty ())
		_1.swap (_2);
	else
		_1.splice (_1.end (), _2);
}

template <typename MM>
void JoinMultimaps (MM & _1, MM & _2) {
	if (_1.empty ())
		_1.swap (_2);
	else
		_1.insert (_2.begin (), _2.end ());
}

# endif // __STL_helpers_H_