//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2009
//
// The helper to select color.
//

# include "StdAfx.h"
# include "SelectFont.h"

bool SelectFontDlg (HWND _hWnd, LOGFONT & _lf) {
	CHOOSEFONT cf;
	::memset (& cf, 0, sizeof (cf));
	cf.lStructSize = sizeof (cf);
	cf.Flags       = CF_INITTOLOGFONTSTRUCT | CF_SCREENFONTS;
	cf.hwndOwner   = _hWnd;
	cf.lpLogFont   = & _lf;
	if (::ChooseFont (& cf)) {
		_lf = * cf.lpLogFont;
		return true;
	}
	return false;
}
