# ifndef __SelectType_H_
# define __SelectType_H_

# include "RgnKind.h"

class CTypeSet;
typedef void (* pfApplySelectType_t) (DWORD _dwType, RGN_KIND _Kind);

bool SelectType (HWND _hWnd, const CTypeSet * _pTypeSet, RGN_KIND _Kind, DWORD & _dwType, pfApplySelectType_t _pfApplySelectType);

struct selected_type_t {
	RGN_KIND Kind;
	DWORD dwType;
};
typedef std::vector<selected_type_t> selected_types_t;
bool IsTypeSelected (const selected_types_t & _sts, RGN_KIND _Kind, DWORD _dwType);

bool SelectMultipleTypes (HWND _hWnd, const CTypeSet * _pTypeSet, selected_types_t & _types);

# endif // __SelectType_H_