# ifndef __SetRgnExtra_H_
# define __SetRgnExtra_H_

struct rgn_t;
void SetObjectExtra          (rgn_t & _rgn, const string_t & _strExtra);

void SetObjectPANumber       (rgn_t & _rgn, const string_t & _strNumber);
void SetObjectPAStreet       (rgn_t & _rgn, const string_t & _strStreet);
void SetObjectHWEDescription (rgn_t & _rgn, const string_t & _strDescription);
void SetObjectPhone          (rgn_t & _rgn, const string_t & _strPhone);
void SetObjectFax            (rgn_t & _rgn, const string_t & _strFax);
void SetObjectEmail          (rgn_t & _rgn, const string_t & _strEmail);
void SetObjectWebPage        (rgn_t & _rgn, const string_t & _strWebPage);
void SetObjectDescription    (rgn_t & _rgn, const string_t & _strDescription);

struct city_t;
void ChangeCity              (rgn_t & _rgn, city_t    * _pCity);
struct zip_t;
void ChangeZip               (rgn_t & _rgn, zip_t     * _pZip);
struct highway_t;
void ChangeHighway           (rgn_t & _rgn, highway_t * _pHighway);

void SetObjectRouteParams    (rgn_t & _rgn, DWORD _dwRouteParams);
void SetObjectRouteClass     (rgn_t & _rgn, WORD _wRouteClass);
void SetObjectSpeedLimit     (rgn_t & _rgn, WORD _wSpeedLimit);
void SetTrafficLanes         (rgn_t & _rgn, DWORD _dwTrafficLanes);

# endif // __SetRgnExtra_H_