# ifndef __SliceMap_H_
# define __SliceMap_H_

# include "PtTrim.h"

void SliceMap (float _fX0, float _fXStep, float _fY0, float _fYStep);
void SliceMap (HWND _hWnd);

void SplitMapToFiles (HWND _hWnd);

struct map_t;
void SplitPolypointsByX (float _fX0, float _fXStep, int _iCell0, int _iCell1, bool _bPolygon, const polyepoints_t & _ptsIn, bool _bHasExtra, polyepoints_t & _ptsOut, bool _bAddExternalNodes, rgn_t * _pRgn, map_t & _map);
void SplitPolypointsByY (float _fY0, float _fYStep, int _iCell0, int _iCell1, bool _bPolygon, const polyepoints_t & _ptsIn, bool _bHasExtra, polyepoints_t & _ptsOut, bool _bAddExternalNodes, rgn_t * _pRgn, map_t & _map);

# endif // __SliceMap_H_