//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2007
//
// String helpers.
//

# include "StdAfx.h"
# include "Str.h"

char * lstrchr (const char * _str, int _ch) {
	while (* _str != '\0') {
		if (* _str == _ch)
			return const_cast<char *> (_str);
		_str = ::CharNext (_str);
	}
	return NULL;
}

//////////////////////////////////////////////////////////////////

bool LessString::operator () (const string_t & _str1, const string_t & _str2) const {
	return ::lstrcmp (_str1.c_str (), _str2.c_str ()) < 0;
}
