//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2008
//
// Thread helpers.
//

# include "StdAfx.h"
# include "Threads.h"
# include "Keyboard.h"

void WaitThreadForStop (HANDLE _hThread) {
	while (true) {
		const DWORD dwRet = ::MsgWaitForMultipleObjects (1, & _hThread, FALSE, INFINITE, QS_ALLINPUT);
		if (dwRet == WAIT_OBJECT_0)
			// The thread exits.
			break;

		if (dwRet != WAIT_OBJECT_0 + 1)
			// Smth else happened.
			break; 

		// There is one or more window message available. Dispatch them.
		MSG msg;
		while (::PeekMessage (& msg, NULL, 0, 0, PM_REMOVE)) {
			if (! TranslateAccelerator (msg)) {
				::TranslateMessage (& msg);
				::DispatchMessage (& msg);
			}
			if (::WaitForSingleObject (_hThread, 0) == WAIT_OBJECT_0)
				return;
		}
	}
}
