# ifndef __TRIMBYPOLYGON_H_
# define __TRIMBYPOLYGON_H_

enum trim_action_t {
	taKeepInside,
	taKeepOutside,
	taUnion,
	taXor
};

bool IsPolygonBooleanApplicable ();
void MergeSelectedPolygons ();
void IntersectSelectedPolygons ();
void SubtractSelectedPolygons ();
void XorSelectedPolygons ();

bool IsTrimMapApplicable ();
void TrimMap (trim_action_t _action);

bool IsTrimSelectedObjectsApplicable ();
void TrimSelectedObjects ();

# endif // __TRIMBYPOLYGON_H_