//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2007-2009
//
// Type-related helpers.
//

# include "StdAfx.h"
# include "Resource.h"
# include "TypeHelpers.h"
# include "Map.h"
# include "Types.h"
# include "Static.h"
# include "Globals.h"

void FillType (HWND _hWnd, UINT _uiID, RGN_KIND _Kind, DWORD _dwType) {
	const type_desc_t * const pTD = g_map.pTypeSet->GetTypeDesc (_dwType, _Kind);
	assert (_Kind < rkMax);
	SetDlgItemTextF (_hWnd, _uiID, "%s (0x%x, %s)", pTD ? pTD->strTypeName : GetStr (IDS_UNKNOWN), _dwType, g_strKinds [_Kind]);
}
