# ifndef __VTUTypes_H_
# define __VTUTypes_H_

struct vtu_type_t {
	DWORD        dwCode;
	WORD         wPOI;
	BYTE         btPolyline;
	BYTE         btPolygon;
	const char * strDescription;
};

const vtu_type_t * GetVTUType (DWORD _dwCode);

# define VNPT 0x0000
# define VNPL 0xFF
# define VNPG 0x00

//# ifdef _DEBUG
# define VTU_NAME(_str) _str
//# else
//# define VTU_NAME(_str) NULL
//# endif

# endif // __VTUTypes_H_