# ifndef __WebMap_H_
# define __WebMap_H_

struct rect_t;

bool InitWebMap ();
void DestroyWebMap ();
void ShowWebMap (bool _bShow);

void DrawWebMap (HDC _hDC, const rect_t & _rectVisible);
bool CanRefreshWebMapTile ();
void RefreshWebMapTile (int _x, int _y);

float GetWebMapShiftDXInM ();
float GetWebMapShiftDYInM ();
void ShiftWebMap (HWND _hWnd);
void ResetWebMapShift ();

size_t GetGoogleMapsLevel (float _fScale);

extern bool g_bUseGMOnline;
extern bool g_bUseGMCache;
extern bool g_bWriteGMCache;
extern bool g_bWriteEarthSlicerNames;
extern DWORD g_dwGMVersion;
void GetSetting_GoogleMapsCache (char _strPath [MAX_PATH]);

# endif // __WebMap_H_