//
// GPSMapEdit
// (c) Konstantin Galichsky (kg@geopainting.com), 2009
//
// The helpers fow windows.
//

# include "StdAfx.h"
# include "Window.h"

void EnsureVisibleOnScreen (HWND _hwnd) {
	RECT rect;
	::GetWindowRect (_hwnd, & rect);

	const HMONITOR hMonitor = ::MonitorFromWindow (_hwnd, MONITOR_DEFAULTTONEAREST);
	MONITORINFO mi = {sizeof (mi)};
	::GetMonitorInfo (hMonitor, & mi);

	POINT pt = {rect.left, rect.top};
	if (! ::PtInRect (& mi.rcWork, pt))
		::SetWindowPos (_hwnd, NULL, mi.rcWork.left, mi.rcWork.top, 0, 0, SWP_NOZORDER | SWP_NOSIZE);
}

void EnsureVisibleOnParent (HWND _hwnd) {
	// NOTE: not tested yet.
/*	const HWND hwndParent = ::GetParent (_hwnd);

	RECT rect;
	::GetWindowRect (_hwnd, & rect);
	POINT pt = {rect.left, rect.top};
	::ScreenToClient (hwndParent, & pt);

	RECT rectParent;
	::GetClientRect (hwndParent, & rectParent);

	if (! ::PtInRect (& rectParent, pt))
		::SetWindowPos (_hwnd, NULL, 0, 0, 0, 0, SWP_NOZORDER | SWP_NOSIZE);*/
}
